%define name	youri
%define version 0.9
%define release %mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri Offers an Upload & Repository Infrastucture
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.or/download/%{name}-%{version}.tar.bz2
Url:		http://youri.zarb.org
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Test::Distribution)
BuildRequires:	perl(Pod::Simple::HTMLBatch)
BuildRequires:	perl(DateTime::Format::Duration)
BuildRequires:  perl(CGI)
BuildRequires:  perl(XML::RSS)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(URPM)
BuildRequires:  perl(DBI)
BuildRequires:  perl(YAML)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(Expect)
BuildRequires:  perl(AppConfig)
Buildarch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

%package upload
Summary:	YOURI upload tool
Group:		Development/Other
Requires:	%{name} = %{version}

%description upload
This package contains YOURI upload tool.

%package check
Summary:	YOURI check tool
Group:		Development/Other
Requires:	%{name} = %{version}

%description check
This package contains YOURI check tool.

%prep
%setup -q

%build
%{__perl} Makefile.PL SYSCONFDIR=%{_sysconfdir} INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README blib/html
%{perl_vendorlib}/Youri
%{_mandir}/man3/*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%exclude %{perl_vendorlib}/Youri/Check
%exclude %{perl_vendorlib}/Youri/Upload
%exclude %{_mandir}/man3/Youri::Check::*
%exclude %{_mandir}/man3/Youri::Upload::*

%files check
%defattr(-,root,root)
%{_bindir}/youri-check
%{perl_vendorlib}/Youri/Check
%{_mandir}/man1/youri-check*
%{_mandir}/man3/Youri::Check*
%config(noreplace) %{_sysconfdir}/%{name}/check.conf

%files upload
%defattr(-,root,root)
%{_bindir}/youri-upload
%{perl_vendorlib}/Youri/Upload
%{_mandir}/man1/youri-upload*
%{_mandir}/man3/Youri::Upload*
%config(noreplace) %{_sysconfdir}/%{name}/upload.conf

%changelog
* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-7mdv2007.0
- fix file duplication

* Thu May 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-6mdk
- fix buildrequires

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-5mdk
- Fix BuildRequires

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-4mdk
- More BuildRequires

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-3mdk
- Add BuildRequires

* Mon Apr 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-2mdk
- Add BuildRequires

* Sun Apr 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdk
- first mdk release
